Changes between Version 24 and Version 25 of HowToInstallPlumiUsingTheBuildout


Ignore:
Timestamp:
12/11/09 05:13:59 (5 years ago)
Author:
vik
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • HowToInstallPlumiUsingTheBuildout

    v24 v25  
    7979---- 
    8080 
    81 ==  0.3-unstable == 
     81==  Plumi 3 == 
    8282 
    83 '''Instructions for Installing Plumi 0.3 alpha for Plone 3.3rc2 and blob storage using the buildout''' 
     83'''Instructions for Installing Plumi 3 for Plone 3.3.2 and blob storage using the buildout''' 
    8484 
    8585This is '''ALPHA''' version software. Meaning -- it is NOT ready for production use, and is NOT ready for migration from plumi 0.2-final sites. 
     
    9090If you want to install the buildout inside a chroot , see here : http://plumi.org/browser/plumi-buildout-plone3/trunk/DevelopingInAChroot.txt 
    9191 
     92It is worth while creating a python virtual environment for developing in - this can avoid problems between python packages installed by your operating system and those install by easy_install.  
    9293 
    93 0. Make a new folder to hold the buildout, and change into that 
    94  
    95  
    96 {{{ 
    97 $ mkdir plumi-0.3-alpha 
    98 $ cd plumi-0.3-alpha/ 
    99  
    100 }}} 
    101  
     94You need to have python2.4 install, and the Python Imaging Library (PIL) 
    10295 
    103961. Check out the buildout from SVN 
    10497 
    10598{{{ 
    106 svn co https://svn.engagemedia.org/project/plumi-buildout-plone3/trunk . 
     99svn co https://svn.plone.org/svn/collective/plumi.buildout/trunk plumi3 
    107100}}} 
    108101 
    1091022. Start the buildout process, which will download all the required Zope and Plone python software libraries. 
    110  
    111 {{{ 
    112 $ python bootstrap.py  
    113  
    114 $ ./bin/buildout 
    115  
    116 }}} 
    117  
    118 On debian lenny to use the version 2.4 of python (needed for Plone 3) in place of 2.5 installed by default) 
    119103 
    120104{{{